<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Exercicis de paràgrafs de Document Object Model</title>

    <style>
        *{
            font-family: Verdana, Geneva, Tahoma, sans-serif;
        }
        table,
        td {
            border: 1px black solid;
        }

        body{
            display: flex;
            flex-wrap: wrap;
            justify-items: center;
            align-items: center;
            background-color: beige;
        }
        article{
            display: flex;
            flex-direction: column;
            width: 40%;
            padding: 1%;
            margin: 1%;
            border: 1px grey solid;
        }
        h1{
            color: crimson;
            width: 100%;
            text-align: center;
            text-transform: uppercase;
        }
        h3{
            color: crimson;
            text-decoration: underline;

        }
        button, input[type="button"],input[type="submit"]{
            color: crimson;
            padding: 2px;
            margin: 2px;
            width: 250px;
        }

    </style>
</head>

<body>
<h1>Correción de los ejercicios del DOM</h1>
<article>
    <h3>Ejercicio 1</h3>
    <p id="text">Text a canviar amb JavaScript</p>
    <div>
        <button id="estiljs" onclick="estiljs()">Canvi d'estil</button>
    </div>
</article>

<article>
    <h3>Ejercicio 2</h3>
    <div id="formulari1">
        Nom: <input type="text" name="nom" value="Marie"><br>
        Cognom: <input type="text" name="cognom" value="Curie"><br>
        <button onclick="prenValorForm()">Obten nombre</button>
    </div>
    <p id="consola"></p>

</article>

<article id="art3">
    <h3>Ejercicio 3</h3>
    <p>Parrafo 1</p>
    <p>Parrafo 2</p>
    <p>Parrafo 3</p>
    <p>Parrafo 4</p>
    <button onclick="ejercicio3()">Cambia parrafos</button>
</article>

<article id="art4">
    <h3>Ejercicio 4</h3>
    <p><a id="itb" type="text/html" hreflang="ca" rel="nofollow" target="_self" href="https://www.itb.cat/">ITB</a>
    </p>
    <button onclick="obtenirAtributs()">Clica aqui per obtenir els atributs</button>
</article>

<article id="art5">
    <h3>Ejercicio 5</h3>
    <table id="Taula">
        <tr>
            <td>fila 1 cel·la 1</td>
            <td>fila 1 cel·la 2</td>
        </tr>
        <tr>
            <td>Fila 2 cel·la 1</td>
            <td>Fila 2 cel·la 2</td>
        </tr>
    </table><br>
    <input type="button" onclick="insertarFila()" value="Inserta Fila">
</article>

<article id="art7">
    <h3>Ejercicio 7</h3>
    <table id="tabla">
    </table>
    Filas: <input type="text" name="fila" value="3"><br>
    Columnas: <input type="text" name="columna" value="4"><br>
    <input type="button" onclick="crearTabla()" value="Crea Tabla">
</article>


<article id="art8">
    <h3>Ejercicio 8 y 9</h3>

    <label for="especialidad">Elige especilidad:</label>

    <select name="especialidad" id="dropDownList">
        <option value="ASIX">ASIX</option>
        <option value="DAMi">DAMi</option>
        <option value="DAMr">DAMr</option>
        <option value="DAWe">DAWe</option>
    </select>

    <button onclick="borrar()"> Borrar elemento seleccionado </button>
    <button onclick="añade()"> Añade N elemetons </button>
</article>


<article id="art10">
    <h3>Ejercicio 10</h3>

    <p>Calcular el volumen de una esfera.</p>
    <form action="" method="post" id="form10">
        <label for="radius">Radius</label><input type="text" name="radius" id="radius" required>
        <label for="volume">Volume</label><input type="text" name="volume" id="volume">
        <input type="submit" value="Calculate" id="submit"> </form>

</article>


<article id="art11">
    <h3>Ejercicio 11</h3>
    <p>[<a href="#" onMouseOver="resaltarStrong()" onMouseOut="normalizarStrong()">
        Al pasar el mouse por aquí, se resaltarán las palabras en negrita del párrafo que le sigue</a>]</p>
    <p><strong>Hemos</strong> propuesto <strong>estos</strong> ejercicios para nuestros alumnos
        (de <strong>M04</strong>) para que <strong>puedan</strong> trabajar con
        <strong>varios</strong> <strong>problemas</strong> de JavaScript y escribir scripts en línea y
        <strong>probar</strong> su <strong>habilidad</strong> en la programación.

</article>

<script src="DOM_Correcio.js"></script>
</body>

</html>